#!/bin/sh
# $MidnightBSD: mports/x11/gdm/files/gdm.in,v 1.3 2008/06/14 01:20:00 laffer1 Exp $

# PROVIDE: gdm
# REQUIRE: LOGIN cleanvar moused syscons dbus
#
# Add the following to /etc/rc.conf to start GDM at boot time:
#
# gdm_enable="YES"
#

. /etc/rc.subr
. /usr/local/etc/gnome.subr

gdm_enable=${gdm_enable-${gnome_enable}}

export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

name=gdm
rcvar=`set_rcvar`
command="/usr/local/sbin/${name}"
pidfile="/var/run/${name}.pid"
procname="/usr/local/sbin/gdm-binary"
start_cmd="gdm_start"

gdm_start()
{
    if ! checkyesno gdm_enable ; then
	return 0
    fi
    echo "Starting ${name}."

    ( iter=0
    while ! ps -axoargs | grep "^/usr/libexec/getty " | grep -qv grep >/dev/null 2>&1; do
	if [ ${iter} -eq 60 ]; then
	    break
	fi
	sleep 1
	iter=$(expr ${iter} + 1)
    done
    ${command} ) &
}

load_rc_config ${name}
run_rc_command "$1"
